Bug 1264864 - Versions of some processes are not displayed in process definition list
Versions of some processes are not displayed in process definition list
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Mauricio Salatino
Tomas Livora
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 07:37 EDT by Tomas Livora
Modified: 2016-01-08 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Livora 2015-09-21 07:37:32 EDT
Description of problem:
When you build and deploy your project inside Business Central, there is sometimes no version listed for some business process definitions even though in the designer you can see that it is set.

Version-Release number of selected component (if applicable):
6.2.0 ER2

Steps to Reproduce:
1. Clone http://git.app.eng.bos.redhat.com/git/bpms-assets.git
2. Open ScriptTask, IntermediateSignalProcess or HumanTask process from integration module in the designer and see that the process version is set correctly.
3. Build and deploy the project.
4. Check the process definition list.

Actual results:
There is no process version for ScriptTask, IntermediateSignalProcess or HumanTask.

Expected results:
There should be correct process version for each of these process definitions.

Additional info:
It is probably something more than a UI bug since it is also not possible to get these processes based on their version using REST Query API.
Comment 1 Mauricio Salatino 2015-09-28 07:31:33 EDT
I would recommend to open another BugZilla for the REST interfaces issue. So it can be looked up in parallel.
Comment 2 Tomas Livora 2015-09-29 04:24:47 EDT
Mauricio, I think it is the same issue. For me it seems like a problem while building a project so it probably does not matter which interface you use to get those process definitions (GUI or REST).
Comment 3 Mauricio Salatino 2015-09-29 05:45:42 EDT
Tomas I will take a look at it and get back with some feedback or the fix :)
Comment 4 Mauricio Salatino 2015-09-29 07:55:44 EDT
I've tried several times and I couldn't clone this repository: git clone http://git.app.eng.bos.redhat.com/git/bpms-assets.git do I need some kind of credentials to get that repo? Is it too big?
Comment 5 Tomas Livora 2015-09-29 08:14:56 EDT
I do not think so. But our test suite uses this address:

git://git.app.eng.bos.redhat.com/bpms-assets.git

Note You need to log in before you can comment on or make changes to this bug.